###############################################################################
# Copyright (c) 2000-2025 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Balasko, Jeno
#   Baranyi, Botond
#   Beres, Szabolcs
#
###############################################################################
[MODULE_PARAMETERS]

// record of
tsp_ROI_1 := {1}
tsp_ROI_1 &= {2,3}

tsp_ROI_2 &= {0,1,2}
tsp_ROI_2 &= {3,4,5}
tsp_ROI_2 &= {}

tsp_ROI_4 &= {}

tsp_ROROI_1 &= {{0,1}, {1,2}}
tsp_ROROI_1 &= {{3,4}}
tsp_ROROI_1 &= {}

tsp_ROROI_2 &= { }

// set of
tsp_SOI_1 := {1}
tsp_SOI_1 &= {2,3}

tsp_SOI_2 &= {0,1,2}
tsp_SOI_2 &= {3,4,5}
tsp_SOI_2 &= {}

tsp_SOI_4 &= {} 

tsp_SOSOI_1 &= {{0,1}, {1,2}}
tsp_SOSOI_1 &= {{3,4}}
tsp_SOSOI_1 &= {}

tsp_SOSOI_2 &= { }

// nested
tsp_Rec.roi &= { 4, 5 };
tsp_Rec.soi &= { 6, 7, 8 };

tsp_RoRec[0].roi &= { 4, 5 };
tsp_RoRec[0].soi &= { 6, 7, 8 };
tsp_RoRec[1].roi &= { 14, 15 };
tsp_RoRec[1].soi &= { 16, 17, 18 };
tsp_RoRec[2].roi &= { 21, 22, 23, 24, 25 };
tsp_RoRec[2].soi &= { 21, 22, 23, 26, 27, 28 };

[EXECUTE]
concat.control
